package jdkl.PicJ.Browser;

import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

/**
 * @author kmwang
 *
 * 2003/5/14 U 11:27:20
 * ImageComponent.java
 */
public class ImageComponent extends JComponent {
//  Image image;
    BufferedImage image;
    Dimension size;
    int fx,fy,tx,ty;

    public ImageComponent( Image image ) {
        //this.image = image;
        MediaTracker mt = new MediaTracker(this);
        mt.addImage( image, 0 );

        try {
            mt.waitForAll();
        }
        catch (InterruptedException ie) {
            JOptionPane.showMessageDialog(this, "exception: "+ie);
        };

        int w = image.getWidth(null);
        int h = image.getHeight(null);
        this.image = new BufferedImage( w, h, BufferedImage.TYPE_INT_RGB);
        Graphics2D imageGraphics = this.image.createGraphics();
        imageGraphics.drawImage( image, 0, 0, null);

        size = new Dimension( image.getWidth(null), image.getHeight(null) );
        setSize(size);
    }

    public ImageComponent( int width, int height, int[] pixel ) {
        try{
            image=new BufferedImage( width, height, BufferedImage.TYPE_INT_RGB );
        }
        catch (Exception e){
            e.printStackTrace();
            JOptionPane.showMessageDialog(this, "error "+e);
        }
//      MediaTracker mt = new MediaTracker(this);
//      mt.addImage( image, 0 );
        image.setRGB( 0, 0, width, height, pixel, 0, width );

//      try {
//          mt.waitForAll();
//      }
//      catch (InterruptedException ie) {
//          JOptionPane.showMessageDialog(this, "exception: "+ie);
//      };
        size = new Dimension( width, height );
        setSize(size);
    }

    public ImageComponent(BufferedImage bi) {
        image = bi;
        size = new Dimension(image.getWidth(),image.getHeight());
        setSize(size);
    }
    
    
    public void paint(Graphics g) {
        g.drawImage( image, 0, 0, this);
        g.drawRect(fx,fy,tx-fx,ty-fy);
    }

    public Dimension getPreferredSize() {
        return size;
    }

}
