package jdkl.PicJ.DSP;

import java.io.File;
import javax.swing.filechooser.FileFilter;
import javax.imageio.ImageIO;

public class ImageReadFileFilter extends FileFilter {

	public boolean accept(File pathname) {
		if (pathname.isDirectory()) {
			return true;
		}

		String name = pathname.getName();

		String[] imgnames = ImageIO.getReaderFormatNames();
		String format = imgnames[0];
		for (int i = 1; i < imgnames.length; ++i) {
			format += "|" + imgnames[i];
		}

		if (name.matches(".*(" + format + ")$")) {
			return true;
		} else {
			return false;
		} 
	}

	public String getDescription() {
		return "iŪ";
	}
}
